QGIS Application - Feature request #15870
Don't remove defect or unavailable layers at project load
2016-11-21 05:24 AM - Simon Grochenig

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 23788
Description

Currently, QGIS checks all layers during loading a project. It detects defect layers (data source like db or file is not available or somehow
wrong) and gives the user the opportunity to repair the layers. If the user is not able to do so, the affected layers are removed from the
project.

Hereby, | request to keep those layers. | don't like to lose the styling, links to other layers and other configurations which take much time to
rebuild.

If for example a PostGIS-layer disappears while the QGIS-project is open, simply no data is shown. | think, there is no disadvantage to do
the same for layers which are unavailable at project start up.

History

#1 - 2017-05-01 12:46 AM - Giovanni Manghi
- Easy fix? set to No

#2 - 2018-11-13 01:01 PM - Simon Grochenig

- Status changed from Open to Closed

Fixed
https://github.com/qgis/QGIS/pull/8359
